org.keycloak.jaxrs

## Class OsgiJaxrsBearerTokenFilterImpl

- java.lang.Object
- - org.keycloak.jaxrs.JaxrsBearerTokenFilterImpl
  - - org.keycloak.jaxrs.OsgiJaxrsBearerTokenFilterImpl

- All Implemented Interfaces:
    javax.ws.rs.container.ContainerRequestFilter, JaxrsBearerTokenFilter

      @PreMatching
      public class OsgiJaxrsBearerTokenFilterImpl
      extends JaxrsBearerTokenFilterImpl

  Variant of JaxrsBearerTokenFilter, which can be used to properly use resources from current osgi bundle
  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.jaxrs.JaxrsBearerTokenFilterImpl

      `deploymentContext, nodesRegistrationManagement, started, userSessionManagement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OsgiJaxrsBearerTokenFilterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.osgi.framework.BundleContext` | `getBundleContext()`
    `protected boolean` | `isInitialized()`
    `protected InputStream` | `loadKeycloakConfigFile()`
    `protected Class<? extends KeycloakConfigResolver>` | `loadResolverClass()`
    `void` | `setBundleContext(org.osgi.framework.BundleContext bundleContext)`

    - ### Methods inherited from class org.keycloak.jaxrs.JaxrsBearerTokenFilterImpl

      `attemptStart, bearerAuthentication, filter, getKeycloakConfigFile, getKeycloakConfigResolverClass, getRequestSecurityContext, handleAuthActions, handlePreauth, propagateSecurityContext, setKeycloakConfigFile, setKeycloakConfigResolverClass, start, verifySslFailed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OsgiJaxrsBearerTokenFilterImpl

          public OsgiJaxrsBearerTokenFilterImpl()

  - ### Method Detail

    - #### getBundleContext

          public org.osgi.framework.BundleContext getBundleContext()

    - #### setBundleContext

          public void setBundleContext(org.osgi.framework.BundleContext bundleContext)

    - #### isInitialized

          protected boolean isInitialized()

      Overrides:
        `isInitialized` in class `JaxrsBearerTokenFilterImpl`

    - #### loadResolverClass

          protected Class<? extends KeycloakConfigResolver> loadResolverClass()

      Overrides:
        `loadResolverClass` in class `JaxrsBearerTokenFilterImpl`

    - #### loadKeycloakConfigFile

          protected InputStream loadKeycloakConfigFile()

      Overrides:
        `loadKeycloakConfigFile` in class `JaxrsBearerTokenFilterImpl`

Copyright © 2015. All rights reserved.